package tech.glinfo.enbao.modules.sh.service;

import com.baomidou.mybatisplus.extension.service.IService;
import tech.glinfo.enbao.common.utils.R;
import tech.glinfo.enbao.modules.appuser.entity.AppUserEntity;
import tech.glinfo.enbao.modules.sh.entity.ShDeviceDataEntity;
import tech.glinfo.enbao.modules.sh.entity.ShDeviceEntity;
import tech.glinfo.enbao.modules.sh.entity.ShInstructionParsingEntity;
import tech.glinfo.enbao.modules.sh.form.ShDeviceForm;

import java.lang.reflect.InvocationTargetException;
import java.util.List;
import java.util.Map;

public interface OtherShDeviceService extends IService<ShDeviceEntity> {


    R save(Map<String, Object> params, AppUserEntity user);

    R list(Map<String, Object> params, AppUserEntity user);

    R delete(Map<String, Object> params, AppUserEntity user);

    R getDeviceId(String numbering);

    R updateDeviceData(String value, Integer deviceId);

    R updateFilterDeviceData(Map<String, Object> map, Integer deviceId);

    R info(String id);

    ShDeviceEntity deviceInfo(Map<String, Object> params);

    List<ShInstructionParsingEntity> getDeviceInstructionList(Integer productId, String cmd);

    ShDeviceDataEntity getDeviceDataByNumbering(String numbering);

    List<ShDeviceEntity> getDeviceByFlag(Integer userId);

}
